$!-----------------------------------------------------------------------------
$! CREATE_CA_CERT.COM
$!
$! Create our own "Certificate Authority" certificate!
$! This procedure is very "quick-and-dirty", use with that in mind!
$!
$! 04-JUN-1999  MGD  OpenSSl-0_9_3 (adapted from earlier procedures)
$!-----------------------------------------------------------------------------
$!
$!(5 * 365 == valid for five years!)
$ days = 1825
$!
$ say = "write sys$output"
$ arch = "AXP"
$ if f$getsyi("cpu") .lt. 128 then arch = "VAX"
$ openSSL = "$HT_ROOT:[SRC.OPENSSL-0_9_3.''arch'.EXE.APPS]OPENSSL"
$!
$ if P1 .eqs. "" then P1 = "WASD.CNF"
$ if f$parse(P1,,,"type") .eqs. "." then P1 = P1 + ".cnf"
$!
$ on error then goto caCleanup
$ prevDefault = f$environment("default")
$ set default HT_ROOT:[SRC.OPENSSL-0_9_3.WASD]
$!
$ @CREATE_SUPPORT_FILES
$!
$ say ""
$ say "***** CREATE NEW CA CERTIFICATE (remember the PEM pass phrase!) *****"
$ say ""
$ define /user sys$input sys$command
$ openSSL req -days 'DAYS' -verify -new -x509 -config 'P1' -
              -outform PEM -out CACERT.PEM -keyout CAKEY.PEM
$ say ""
$ say "***** CREATING DER VERSION *****"
$ say ""
$ define /user sys$input sys$command
$ OpenSSL x509 -inform PEM -outform DER -in CACERT.PEM -out CACERT.CRT
$ say ""
$!
$ caCleanup:
$ say ""
$ say "***** FINISHED *****"
$ say ""
$ say "New CA certificates and key, " +-
      "CACERT.PEM, CACERT.CRT, CAKEY.PEM created"
$ say ""
$ define /user sys$output nl:
$ define /user sys$error nl:
$ delete tmp*.*;*,*.;*,*.;*
$ define /user sys$output nl:
$ define /user sys$error nl:
$ set prot=w *.*
$ set prot=w:re cacert.pem
$ set prot=w:re cacert.crt
$ set prot=w:re cakey.pem
$ set default 'prevdefault'
$ exit
$!
$!-----------------------------------------------------------------------------
